package cn.palmte.work.bean;

/**
 * @author xiongshiyan at 2021/11/1 , contact me with email yanshixiong@126.com or phone 15208384257
 */
public enum SignTypeEnum {
    PLAN_A(1,"紫光汇智直接投标");

    private int signType;
    private String signTypeStr;

    private SignTypeEnum(int signType, String signTypeStr) {
        this.signType = signType;
        this.signTypeStr = signTypeStr;
    }

    public int getSignType() {
        return signType;
    }

    public void setSignType(int signType) {
        this.signType = signType;
    }

    public String getSignTypeStr() {
        return signTypeStr;
    }

    public void setSignTypeStr(String signTypeStr) {
        this.signTypeStr = signTypeStr;
    }

    public static SignTypeEnum parseSignType(int signType){
        if(signType == 1){
            return PLAN_A;
        }
        throw new IllegalArgumentException("Unkown signType:"+signType);
    }
}
